> For the complete documentation index, see [llms.txt](https://docs.uibakery.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.uibakery.io/reference/working-with-actions.md).

# List of Action steps

<table data-view="cards"><thead><tr><th></th><th></th><th data-type="content-ref"></th><th data-type="content-ref"></th><th data-type="content-ref"></th><th data-type="content-ref"></th><th data-type="content-ref"></th><th data-type="content-ref"></th><th data-type="content-ref"></th><th data-type="content-ref"></th><th data-type="content-ref"></th><th data-type="content-ref"></th><th data-type="content-ref"></th></tr></thead><tbody><tr><td><strong>Code</strong></td><td></td><td><a href="/reference/working-with-actions/code-action.md">JavaScript Code</a></td><td><a href="/reference/working-with-actions/python-backend-code.md">Python Backend Code</a></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td></tr><tr><td><strong>Table</strong></td><td></td><td><a href="/reference/working-with-actions/load-table-action.md">Load Table</a></td><td><a href="/reference/working-with-actions/create-row-action.md">Create Row</a></td><td><a href="/reference/working-with-actions/bulk-create-rows-action.md">Bulk Create Rows</a></td><td><a href="/reference/working-with-actions/delete-row-action.md">Delete Row</a></td><td><a href="/reference/working-with-actions/bulk-delete-rows-action.md">Bulk Delete Rows</a></td><td><a href="/reference/working-with-actions/load-row-action.md">Load Row</a></td><td><a href="/reference/working-with-actions/update-row-action.md">Update Row</a></td><td></td><td></td><td></td><td></td></tr><tr><td><strong>Database</strong></td><td></td><td><a href="/reference/working-with-actions/sql-query.md">SQL Query</a></td><td><a href="/reference/working-with-actions/firebase-query.md">Firebase Query</a></td><td><a href="/reference/working-with-actions/graphql-query.md">GraphQL Query</a></td><td><a href="/reference/working-with-actions/dynamodb-request.md">DynamoDB Request</a></td><td><a href="/reference/working-with-actions/mongodb-command.md">MongoDB Command</a></td><td><a href="/reference/working-with-actions/redis-command.md">Redis Command</a></td><td><a href="/reference/working-with-actions/elasticsearch-command.md">Elasticsearch Command</a></td><td></td><td></td><td></td><td></td></tr><tr><td><strong>File storage</strong></td><td></td><td><a href="/reference/working-with-actions/s3-query.md">S3 Query</a></td><td><a href="/reference/working-with-actions/azure-blob-storage-query.md">Azure Blob Storage Query</a></td><td><a href="/reference/working-with-actions/generate-file-action.md">Generate File</a></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td></tr><tr><td><strong>API</strong></td><td></td><td><a href="/reference/working-with-actions/http-request.md">HTTP Request</a></td><td><a href="/reference/working-with-actions/open-api-request.md">Open API Request</a></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td></tr><tr><td><strong>State</strong></td><td></td><td><a href="/reference/working-with-actions/save-to-local-storage-action.md">Save to Local Storage</a></td><td><a href="/reference/working-with-actions/save-to-state-action.md">Save to State</a></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td></tr><tr><td><strong>Notification</strong></td><td></td><td><a href="/reference/working-with-actions/smtp-request.md">SMTP Request</a></td><td><a href="/reference/working-with-actions/slack-message-action.md">Slack Message</a></td><td><a href="/reference/working-with-actions/show-notification-action.md">Show Notification</a></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td></tr><tr><td><strong>Workflow</strong></td><td></td><td><a href="/reference/working-with-actions/condition-action.md">Condition</a></td><td><a href="/reference/working-with-actions/loop-action.md">Loop Action</a></td><td><a href="/reference/working-with-actions/interval-action.md">Interval</a></td><td><a href="/reference/working-with-actions/navigation.md">Navigate</a></td><td><a href="/reference/working-with-actions/execute-another-action.md">Execute Action</a></td><td></td><td></td><td></td><td></td><td></td><td></td></tr><tr><td><strong>Infrastructure</strong></td><td></td><td><a href="/reference/working-with-actions/ssh-command.md">SSH Command</a></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.uibakery.io/reference/working-with-actions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
